SyntaxWarnings "invalid escape sequences" on OSX with PyPy3.6-7.2.0

Create issue
Issue #3097 resolved
Michael Seifert created an issue

I get some SyntaxWarnings when running doctests with PyPy3.6-7.2.0. The warnings look like this:

pypy3.6-v7.2.0-osx64/lib-python/3/importlib/_bootstrap.py:219: DeprecationWarning: invalid escape sequence '*'
    return f(*args, **kwds)

pypy3.6-v7.2.0-osx64/lib-python/3/importlib/_bootstrap.py:219: DeprecationWarning: invalid escape sequence '_'
    return f(*args, **kwds)

pypy3.6-v7.2.0-osx64/lib-python/3/importlib/_bootstrap.py:219: DeprecationWarning: invalid escape sequence 'h'
    return f(*args, **kwds)

I’ve tracked these down:

pypy3.6-v7.2.0-osx64/lib_pypy/pyrepl/historical_reader.py", line 306 ← for the *

pypy3.6-v7.2.0-osx64/lib_pypy/pyrepl/reader.py", line 250 ← for the _

pypy3.6-v7.2.0-osx64/lib_pypy/pyrepl/keymap.py", line 61 ← for the h

I’m not sure how to make PRs with Bitbucket (and on what branches) and I’m a bit short on time so I thought I just report these here.

Comments (1)

  1. Log in to comment